Package org.apache.trevni

# Enum ValueType

java.lang.Object
java.lang.Enum<ValueType>
org.apache.trevni.ValueType

All Implemented Interfaces:
  `Serializable`, `Comparable<ValueType>`

public enum ValueType extends Enum<ValueType>
The datatypes that may be stored in a column.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOLEAN`
`BYTES`
`DOUBLE`
`FIXED32`
`FIXED64`
`FLOAT`
`INT`
`LONG`
`NULL`
`STRING`

## Method Summary

Modifier and Type
Method
Description
`static ValueType`
`forName(String name)`
Return a type given its name.
`String`
`getName()`
Return the name of this type.
`static ValueType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ValueType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NULL

public static final ValueType NULL

### BOOLEAN

public static final ValueType BOOLEAN

### INT

public static final ValueType INT

### LONG

public static final ValueType LONG

### FIXED32

public static final ValueType FIXED32

### FIXED64

public static final ValueType FIXED64

### FLOAT

public static final ValueType FLOAT

### DOUBLE

public static final ValueType DOUBLE

### STRING

public static final ValueType STRING

### BYTES

public static final ValueType BYTES

## Method Details

### values

public static ValueType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ValueType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()
Return the name of this type.

### forName

public static ValueType forName(String name)
Return a type given its name.